Package com.scriptel.proscript

## Class FrequencyAmplitude

- java.lang.Object
- - com.scriptel.proscript.FrequencyAmplitude

-     public final class FrequencyAmplitude
      extends java.lang.Object

  This class represents frequency and amplitude settings for a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFrequency()` | Gets the frequency
    `int` | `getPenAmplitude()` | Sets the pen amplitude.
    `int` | `getTouchAmplitude()` | Gets the touch amplitude.
    `void` | `setFrequency​(int frequency)` | Sets the frequency.
    `void` | `setPenAmplitude​(int penAmplitude)` | Sets the pen amplitude.
    `void` | `setTouchAmplitude​(int touchAmplitude)` | Sets the touch amplitude.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getFrequency

          public int getFrequency()

      Gets the frequency
      Returns:
        the frequency

    - #### getPenAmplitude

          public int getPenAmplitude()

      Sets the pen amplitude.
      Returns:
        the penAmplitude

    - #### getTouchAmplitude

          public int getTouchAmplitude()

      Gets the touch amplitude.
      Returns:
        the touchAmplitude

    - #### setFrequency

          public void setFrequency​(int frequency)

      Sets the frequency.
      Parameters:
        `frequency` - the frequency to set

    - #### setPenAmplitude

          public void setPenAmplitude​(int penAmplitude)

      Sets the pen amplitude.
      Parameters:
        `penAmplitude` - the penAmplitude to set

    - #### setTouchAmplitude

          public void setTouchAmplitude​(int touchAmplitude)

      Sets the touch amplitude.
      Parameters:
        `touchAmplitude` - the touchAmplitude to set